%global gem_name slop
Summary:             Option gathering made easy
Name:                rubygem-%{gem_name}
Version:             3.5.0
Release:             1
License:             MIT
URL:                 http://github.com/leejarvis/slop
Source0:             http://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel rubygem(minitest) ruby
BuildArch:           noarch
%description
A simple DSL for gathering options and parsing the command line

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
sed -i 's|Usage: rake_test_loader \[options\]|Usage: -e [options]|' test/slop_test.rb
ruby -Ilib:test -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_instdir}/.*
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/test

%changelog
* Fri Jul 24 2020 zhanghua <zhanghua40@huawei.com> - 3.5.0-1
- package init
